<html>
<head>
<title>OGRE: Ogre::AlignedAllocator&lt; T, Alignment &gt;::rebind&lt; U &gt; Struct Template Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1AlignedAllocator.html">AlignedAllocator</a>::<a class="el" href="structOgre_1_1AlignedAllocator_1_1rebind.html">rebind</a></div>
<h1>Ogre::AlignedAllocator&lt; T, Alignment &gt;::rebind&lt; U &gt; Struct Template Reference</h1><!-- doxytag: class="Ogre::AlignedAllocator::rebind" --><code>#include &lt;<a class="el" href="OgreAlignedAllocator_8h-source.html">OgreAlignedAllocator.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1AlignedAllocator_1_1rebind-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef <br>
<a class="el" href="classOgre_1_1AlignedAllocator.html">AlignedAllocator</a>&lt; U,<br>
 Alignment &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1AlignedAllocator_1_1rebind.html#36fc389e5f3a373469edd1f07e5d3142">other</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
<h3>template&lt;typename T, unsigned Alignment = 0&gt;<br>
template&lt;typename U&gt;<br>
 struct Ogre::AlignedAllocator&lt; T, Alignment &gt;::rebind&lt; U &gt;</h3>


<p>Definition at line <a class="el" href="OgreAlignedAllocator_8h-source.html#l00123">123</a> of file <a class="el" href="OgreAlignedAllocator_8h-source.html">OgreAlignedAllocator.h</a>.</p>
<hr><h2>Member Typedef Documentation</h2>
<a class="anchor" name="36fc389e5f3a373469edd1f07e5d3142"></a><!-- doxytag: member="Ogre::AlignedAllocator::rebind::other" ref="36fc389e5f3a373469edd1f07e5d3142" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T, unsigned Alignment = 0&gt; </div>
<div class="memtemplate">
template&lt;typename U&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1AlignedAllocator.html">AlignedAllocator</a>&lt;U, Alignment&gt; <a class="el" href="classOgre_1_1AlignedAllocator.html">Ogre::AlignedAllocator</a>&lt; T, Alignment &gt;::<a class="el" href="structOgre_1_1AlignedAllocator_1_1rebind.html">rebind</a>&lt; U &gt;::<a class="el" href="classOgre_1_1AlignedAllocator.html">other</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAlignedAllocator_8h-source.html#l00125">125</a> of file <a class="el" href="OgreAlignedAllocator_8h-source.html">OgreAlignedAllocator.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreAlignedAllocator_8h-source.html">OgreAlignedAllocator.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:06 2008
</p>
</body>
</html>
